# Activate promotion

Activates a promotion.

Endpoint: PUT /v2/project/{project_id}/admin/promotion/{promotion_id}/activate
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com//projects/.
    Example: 44056

  - `promotion_id` (integer, required)
    Promotion ID. Unique promotion identifier within the project.
    Example: 111425

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"

## Response 422 fields (application/json):

  - `statusCode` (integer)
    Example: 422

  - `errorCode` (integer)
    Example: 1102

  - `errorMessage` (string)
    Example: "[0401-9505]: Error was occurred while promotion was being updated"

  - `transactionId` (string)
    Example: "da145238620011eb8e24fe6913ff226a"


## Response 204 fields
